Subject: Re: [GSoC PATCH v6] add -p: show user's hunk decision when selecting hunks

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Jan 2026 09:13:59 +0900

Ben Knoble <[email-masked]> writes:

>> I like the idea of telling the user if the hunk is currently
>> selected but say "(previous decision: use)" makes the prompt
>> rather long (some of the prompts in the tests below are 80
>> characters long). I wonder if we can find a more compact
>> notation. "(currently selected)" is a bit shorter and takes us
>> under 80 characters but is still longer than I'd like - maybe
>> someone reading this will have a better suggestion.
>
> I haven’t looked carefully, so apologies if this is nonsense.
>
> What if the marker of current state were on a separate line before
> the prompt? That would allow more room, right?

Vertical screen real estate is also a limited resource.  Also, while
it is good if we let users know what the current selection status
is, I personally do not think the benefit outweighs the downside of
cluttering the prompt unless it is kept to the minimum.  So I very
much appreciate that Phillip raised this point.

Thanks.